Summary: Full featured multiple window programmer's text editor
Name: cooledit
Icon: cooledit.gif
Version: 3.11.2
Release: 1
Copyright: GPL
Group: Applications/Editors
Requires: python
Requires: pythonlib
Source: lava.obsidian.co.za:/pub/unix/cooledit/cooledit-3.11.2.tar.gz

%description 
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro programm.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

%prep
%setup

%build
CFLAGS='-O2 -fomit-frame-pointer -s' ./configure --prefix=/usr --with-included-gettext
make

%install
make install-strip

%post
/usr/lib/coolicon/modify-xinitrc

%files
%doc ABOUT-NLS AUTHORS BUGS COPYING FAQ INSTALL INTERNATIONAL
%doc MAILING_LIST NEWS PROGRAMMING README TODO VERSION ChangeLog
%doc cooledit.lsm coolicon.lsm coolman.lsm cooledit.spec
%config /usr/lib/coolicon/coolicon.config
/usr/lib/cooledit
/usr/lib/coolicon/browse.xpm
/usr/lib/coolicon/cdrom_eject.xpm
/usr/lib/coolicon/cdrom_view.xpm
/usr/lib/coolicon/cooledit.xpm
/usr/lib/coolicon/dynamite.xpm
/usr/lib/coolicon/gmc.xpm
/usr/lib/coolicon/launch.xpm
/usr/lib/coolicon/lyx.xpm
/usr/lib/coolicon/manual.xpm
/usr/lib/coolicon/mc.xpm
/usr/lib/coolicon/netscape.xpm
/usr/lib/coolicon/nscape.xpm
/usr/lib/coolicon/phonedown.xpm
/usr/lib/coolicon/phoneup.xpm
/usr/lib/coolicon/printer.xpm
/usr/lib/coolicon/spanner.xpm
/usr/lib/coolicon/xterm.xpm
/usr/lib/coolicon/xv.xpm
/usr/lib/coolicon/modify-xinitrc
/usr/lib/libCw.so.1.0.0
/usr/lib/libCw.so.1
/usr/lib/libCw.so
/usr/lib/libCw.la
/usr/bin/cooledit
/usr/bin/smalledit
/usr/bin/coolman
/usr/bin/coolicon
/usr/bin/coolbrowse
/usr/bin/coolmessage
/usr/bin/coollistbox
/usr/bin/coolquery
/usr/bin/coolinput
/usr/share/locale/cs/LC_MESSAGES/cooledit.mo
/usr/share/locale/da/LC_MESSAGES/cooledit.mo
/usr/share/locale/de/LC_MESSAGES/cooledit.mo
/usr/share/locale/es/LC_MESSAGES/cooledit.mo
/usr/share/locale/fi/LC_MESSAGES/cooledit.mo
/usr/share/locale/fr/LC_MESSAGES/cooledit.mo
/usr/share/locale/it/LC_MESSAGES/cooledit.mo
/usr/share/locale/ja/LC_MESSAGES/cooledit.mo
/usr/share/locale/ko/LC_MESSAGES/cooledit.mo
/usr/share/locale/nl/LC_MESSAGES/cooledit.mo
/usr/share/locale/no/LC_MESSAGES/cooledit.mo
/usr/share/locale/pl/LC_MESSAGES/cooledit.mo
/usr/share/locale/pt/LC_MESSAGES/cooledit.mo
/usr/share/locale/ru/LC_MESSAGES/cooledit.mo
/usr/share/locale/sl/LC_MESSAGES/cooledit.mo
/usr/share/locale/sv/LC_MESSAGES/cooledit.mo
/usr/man/man1/cooledit.1
/usr/man/man1/smalledit.1
/usr/man/man1/coolman.1
/usr/man/man1/coolicon.1


